Ogre::GLSurfaceDesc Struct Reference

GL surface descriptor. More...

`#include <OgreGLRenderTexture.h>`

List of all members.

## Public Member Functions

| GLSurfaceDesc ()

## Public Attributes

GLHardwarePixelBuffer * | buffer
size_t | zoffset
uint | numSamples

## Detailed Description

GL surface descriptor.

Points to a 2D surface that can be rendered to.

Definition at line 37 of file OgreGLRenderTexture.h.

## Constructor & Destructor Documentation

Ogre::GLSurfaceDesc::GLSurfaceDesc | ( |  | ) |

Definition at line 44 of file OgreGLRenderTexture.h.

## Member Data Documentation

GLHardwarePixelBuffer* Ogre::GLSurfaceDesc::buffer

Definition at line 40 of file OgreGLRenderTexture.h.

uint Ogre::GLSurfaceDesc::numSamples

Definition at line 42 of file OgreGLRenderTexture.h.

size_t Ogre::GLSurfaceDesc::zoffset

Definition at line 41 of file OgreGLRenderTexture.h.

The documentation for this struct was generated from the following file:

- OgreGLRenderTexture.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:53